<?php
@error_reporting(E_ALL ^ E_WARNING ^ E_NOTICE);
@ini_set('error_reporting', E_ALL ^ E_WARNING ^ E_NOTICE);

define('DATALIFEENGINE', true);
define('ROOT_DIR', dirname(__FILE__));
define('ENGINE_DIR', ROOT_DIR.'/engine');

require_once ENGINE_DIR.'/classes/mysql.php';
require_once ENGINE_DIR.'/data/dbconfig.php';
require_once ENGINE_DIR.'/data/config.php';

$mod_name  = 'moonserials';
$mod_title = 'MoonSerials';
$mod_desc  = 'модуль для автоматизации работы с сериалами на сервисе moonwalk.cc';
$mod_im    = 'hdlight.png';
$mod_secr  = '1';

$config['charset'] = strtolower($config['charset']);
if ($config['charset'] != 'utf-8' and $config['charset'] != 'utf8') {
	if (function_exists('mb_convert_encoding')) {
		$mod_title = mb_convert_encoding($mod_title, 'cp1251', 'UTF-8');
		$mod_desc  = mb_convert_encoding($mod_desc, 'cp1251', 'UTF-8');
	} elseif (function_exists('iconv')) {
		$mod_title = iconv('UTF-8', 'cp1251//IGNORE', $mod_title);
		$mod_desc  = iconv('UTF-8', 'cp1251//IGNORE', $mod_desc);
	}
}

$db->query("DELETE FROM ".PREFIX."_admin_sections WHERE name = '".$mod_name."'");
$db->query("INSERT INTO ".PREFIX."_admin_sections (name, title, descr, icon, allow_groups) VALUES ('".$mod_name."', '".$mod_title."', '".$mod_desc."', '".$mod_im."', '1')");

echo <<<HTML
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Модуль MoonSerials</title>
</head>
<body>
Готово!
</body>
</html>
HTML;
